@echo off
rem OpenSmedgeFirewall.bat
rem
rem Opens the appropriate ports in Windows Firewall for all Smedge component applications
rem
rem Smedge 3
rem Copyright (c) 2004 - 2012 Uberware. All Rights Reserved


rem Verify usage syntax

rem Try Windows 2000 syntax first
if exist "%~2\nul" goto COMMAND
rem Try Windows XP syntax next
if exist "%~2" goto COMMAND

echo Error: Invalid installation path %2
goto USAGE


: COMMAND

if "%1"=="delete" goto DELETE
if "%1"=="add" goto ADD

echo Error: Invalid Command
goto USAGE


:USAGE

echo Usage: %0 add/delete [install-path]
pause
exit /b 1


:DELETE

echo Deleting Smedge 3 components access through Windows Firewall...
netsh firewall delete allowedprogram "%~2\SmedgeMaster.exe"
netsh firewall delete allowedprogram "%~2\SmedgeEngine.exe"
netsh firewall delete allowedprogram "%~2\SmedgeGui.exe"
netsh firewall delete allowedprogram "%~2\Herald.exe"
netsh firewall delete allowedprogram "%~2\ConfigureMaster.exe"
netsh firewall delete allowedprogram "%~2\Engine.exe"
netsh firewall delete allowedprogram "%~2\Job.exe"
netsh firewall delete allowedprogram "%~2\PoolManager.exe"
netsh firewall delete allowedprogram "%~2\Submit.exe"
goto FINISH


:ADD

echo Adding Smedge 3 components access through Windows Firewall...
netsh firewall add allowedprogram "%~2\SmedgeMaster.exe" "Smedge 3 (SmedgeMaster)" ENABLE
netsh firewall add allowedprogram "%~2\SmedgeEngine.exe" "Smedge 3 (SmedgeEngine)" ENABLE
netsh firewall add allowedprogram "%~2\SmedgeGui.exe" "Smedge 3 (SmedgeGui)" ENABLE
netsh firewall add allowedprogram "%~2\Herald.exe" "Smedge 3 (Herald)" ENABLE
netsh firewall add allowedprogram "%~2\ConfigureMaster.exe" "Smedge 3 (ConfigureMaster)" ENABLE
netsh firewall add allowedprogram "%~2\Engine.exe" "Smedge 3 (Engine)" ENABLE
netsh firewall add allowedprogram "%~2\Job.exe" "Smedge 3 (Job)" ENABLE
netsh firewall add allowedprogram "%~2\PoolManager.exe" "Smedge 3 (PoolManager)" ENABLE
netsh firewall add allowedprogram "%~2\Submit.exe" "Smedge 3 (Submit)" ENABLE
goto FINISH


:FINISH

echo Finished.
